const string KEY = "HKEY_CURRENT_USER\\SOFTWARE\\Piketec\\TPT-Doors\\"
const string VALUE_NAME = "LastFolderSelection";

void export_link_module(string file) {
	
	infoBox "before for loop"
	
	Module lnkMod = current;
	mPath = path(lnkMod)
	mName = name(lnkMod);
	
	// create file stream
	Stream out = write (file)
	out << "HEADER\n"
	out << "module \"" mPath "/" mName "\"\n" 
	out << "BODY\n"
	
	ModName_ m = module(mPath "/" mName);
	
	Folder f = current
	setLinkModuleDescriptorsExclusive(f, m, true) 
	
	LinkModuleDescriptor l
	string s

	for l in f do {
		string l_name = getName(l) ""
		
		infoBox "name=" l_name ""
		
		if (l_name == mPath "/" mName) {
			string source_mod = getSourceName(l)
			string target_mod = getTargetName(l)
			
			
			
			Module mod_s = read(source_mod)
			
			// open target module also
			Module mod_t = read(target_mod)
			
			string sourceModPath = path mod_s
			string targetModPath = path mod_t
					
			Object obj
			for obj in mod_s do {
				
				Link lnk 
				for lnk in obj -> (mPath "/" mName) do {
	    			
	    			string source_id = identifier(obj)
	    			
	    			Object obj_t = target(lnk)
	    			if (null obj_t) {
		    			ack "null"
		    			halt
	    			}
	    			string target_id = identifier(obj_t)
	    			
	    			out << source_mod "#" source_id "," target_mod "#" target_id "\n" 
				} 
			}
		}
	}
	flush out
	close out
}

string get_last_directory() {
	string ret	= getRegistry(KEY, VALUE_NAME);
	if (null ret) {
		return "C:\\";
	}
	return ret;	
}

void store_last_directory(string dir) {
	setRegistry(KEY, VALUE_NAME, dir);
}

string last_dir = get_last_directory()

DB reqBox = create "Export Link Module" 
DBE file_name_field = fileName(reqBox, last_dir, "*.txt", "TPT link module file")

void go(DB reqBox) {
	// evaluate and trigger
	string file_name = get file_name_field
	
	export_link_module(file_name)
	store_last_directory(file_name)
}

ok(reqBox, "Export", go)
show reqBox	
