/*
 * TPT Testframe for C-Code
 *
 * Copyright PikeTec GmbH (c) 2017
 */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include "TPT_VM_API.h"
#include "TPT_TestDriver.h"

static tpt_vmapi_handle vm = NULL;

static void bindinterface(void) {
  TPT_TRACK_lights_control_no_scaling_c_bindinterface(vm);
  tpt_vmapi_bindSignalFinalize(); // check I/O consistency between TPT model and bindSignal statements
}

static void sutcycle(void) {
  ___tpt___PROXY___lights_control_cycle();
}

int main(int argc, char **argv) {
  const char *inputfilename = TPT_NULL;
  const char *outputfilename = TPT_NULL;
  const char *paramfilename = TPT_NULL;

  if (argc != 3) {
    if (argc == 4) {
      if (strcmp(argv[1],"-r") == 0) {
        paramfilename = argv[2];
        outputfilename = argv[3];
        if (tpt_vmapi_exchangeParamsFromSuT(paramfilename, outputfilename, &vm, bindinterface) == tpt_false) {
          fprintf(stderr, "Error during exchange of parameters to TPT, error %hu: %s\n",
            tpt_vmapi_getErrorCode(), tpt_vmapi_getErrorMessage());
          exit(4);
        }
        return 0;
      } else {
        paramfilename = argv[3];
        if (tpt_vmapi_exchangeParamsToSuT(paramfilename, &vm, bindinterface) == tpt_false) {
          fprintf(stderr, "Error during exchange of parameters to SuT, error %hu: %s\n",
            tpt_vmapi_getErrorCode(), tpt_vmapi_getErrorMessage());
          exit(4);
        }
      }
    } else {
      printf("Syntax: %s <input.tvm> <output.tptbin> [<parameters.tptbin>]\n",argv[0]);
      exit(1);
    }
  }
  
  inputfilename = argv[1];
  outputfilename = argv[2];
  
  tpt_vmapi_runTestcase(inputfilename, outputfilename, &vm, bindinterface, sutcycle);
  return 0;
}
