package com.etas.ascet.api.v1.datatype;

import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class AnnotationDtoV1 {

    /**
     * Name of the annotation {@code @dT} the name is "dT".
     */
    public abstract String name();

    public abstract List<String> arguments();

    public static Builder builder() {
        return new AutoValue_AnnotationDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see AnnotationDtoV1#name()
         */
        Builder name(String value);

        /**
         * @see AnnotationDtoV1#arguments()
         */
        Builder arguments(List<String> value);

        AnnotationDtoV1 build();
    }
}
