package com.etas.ascet.api.v1.datatype;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * TODO: Comment
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class AscetCodegeneratorDetailDtoV1 {

    public abstract String name();

    public abstract String version();

    /**
     * @return a possible customer specific label or empty string if it is the code generator delivered with a normal
     *         ASCET-DEVELOPER installation
     */
    public abstract String variant();

    /**
     * @return <code>true</code> if the code generator tool is specified as default code generator in the
     *         plugin_customization.ini of the ASCET-DEVELOPER installation, <code>false</code> otherwise
     */
    public abstract boolean defaultCodeGenerator();

    /**
     * @return <code>true</code> if the code generator tool comes with the installed product (within "cgen"-directory)
     *         and is not customer-specific.
     */
    public abstract boolean nativeCodeGenerator();

    public static Builder builder() {
        return new AutoValue_AscetCodegeneratorDetailDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * see {@link IdentifierDtoV1#name()}
         */
        Builder name(String value);

        /**
         * see {@link IdentifierDtoV1#version()}
         */
        Builder version(String value);

        /**
         * see {@link IdentifierDtoV1#variant()}
         */
        Builder variant(String value);

        /**
         * see {@link IdentifierDtoV1#defaultCodeGenerator()}
         */
        Builder defaultCodeGenerator(boolean value);

        /**
         * see {@link IdentifierDtoV1#nativeCodeGenerator()}
         */
        Builder nativeCodeGenerator(boolean value);

        AscetCodegeneratorDetailDtoV1 build();

    }
}
