package com.etas.ascet.api.v1.datatype;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class LaunchExecuteResultDtoV1 {

    /**
     * Some details in case of errors.
     */
    public abstract String message();

    public abstract boolean success();

    public static Builder builder() {
        return new AutoValue_LaunchExecuteResultDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {
        /**
         * @see LaunchExecuteResultDtoV1#message()
         */
        Builder message(String value);

        /**
         * @see LaunchExecuteResultDtoV1#success()
         */
        Builder success(boolean value);

        LaunchExecuteResultDtoV1 build();
    }
}
