package com.etas.ascet.api.v1.datatype;

import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.etas.ascet.api.KeyValueDto;
import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class LaunchSetValuesRequestDtoV1 {

    /**
     * The name of the launch configuration, as it is visible in the tree of the "Run ..." dialog.
     */
    public abstract String launchName();

    /**
     * The value to be modified.
     */
    public abstract List<KeyValueDto> keyValues();

    public static Builder builder() {
        return new AutoValue_LaunchSetValuesRequestDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see LaunchSetValuesRequestDtoV1#launchName()
         */
        Builder launchName(String value);

        /**
         * @see LaunchSetValuesRequestDtoV1#keyValues()
         */
        Builder keyValues(List<KeyValueDto> value);

        LaunchSetValuesRequestDtoV1 build();
    }
}
