package com.etas.ascet.api.v1.datatype;

import java.math.BigDecimal;
import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;
import org.eclipse.jdt.annotation.Nullable;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * Single number or tree of numbers to be used in initializer expressions.
 * <p/>
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class NumberInitializerDtoV1 {

    /**
     * if present, then this object represents a single number
     */
    @Nullable
    public abstract BigDecimal number();

    /**
     * if present, then this object represents a list of sub elements
     */
    @Nullable
    public abstract List<NumberInitializerDtoV1> nested();

    public static Builder builder() {
        return new AutoValue_NumberInitializerDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {
        /**
         * see {@link NumberInitializerDtoV1#number()}
         */
        Builder number(@Nullable BigDecimal value);

        /**
         * see {@link NumberInitializerDtoV1#nested()}
         */
        Builder nested(@Nullable List<NumberInitializerDtoV1> value);

        NumberInitializerDtoV1 build();
    }
}
