package com.etas.ascet.api.v1.datatype;

import java.math.BigDecimal;

import org.eclipse.jdt.annotation.NonNullByDefault;
import org.eclipse.jdt.annotation.Nullable;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * Generic number range
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class NumberRangeDtoV1 {

    /**
     * The lower bound of the number range inclusively. If empty, the lower bound is -Infinity
     */
    @Nullable
    public abstract BigDecimal lower();

    /**
     * The upper bound of the number range inclusively. If empty, the upper bound is +Infinity
     */
    @Nullable
    public abstract BigDecimal upper();

    public static Builder builder() {
        return new AutoValue_NumberRangeDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {
        /**
         * @see NumberRangeDtoV1#lower()
         */
        Builder lower(@Nullable BigDecimal value);

        /**
         * @see NumberRangeDtoV1#upper()
         */
        Builder upper(@Nullable BigDecimal value);

        NumberRangeDtoV1 build();
    }
}
