package com.etas.ascet.api.v1.datatype;

import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * PoJo containing information about an eclipse IProject
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class ProjectDtoV1 {

    /**
     * The name of the project, as it is shown in the ASCET-DEVELOPER
     */
    public abstract String name();

    /**
     * The absolute path of the folder which contains the .project file.
     */
    public abstract String absolutePath();

    /**
     * List of project names, of project that are referenced by this project.
     */
    public abstract List<String> referencedProjects();

    public static Builder builder() {
        return new AutoValue_ProjectDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see ProjectDtoV1#name()
         */
        Builder name(String value);

        /**
         * @see ProjectDtoV1#absolutePath()
         */
        Builder absolutePath(String value);

        /**
         * @see ProjectDtoV1#upper()
         */
        Builder referencedProjects(List<String> value);

        ProjectDtoV1 build();
    }
}
