package com.etas.ascet.api.v1.datatype;

import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

// Checkstyle:off
/**
 * A further specification of {@link TargetTypeDtoV1}
 */
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class TargetArrayTypeDtoV1 {

    public abstract IdentifierDtoV1 identifier();

    /**
     * The types of the 1 or 2 dimensions
     */
    public abstract List<ArrayDimensionDtoV1> dimensionTypes();

    /**
     * The type of the values stored in the array
     */
    public abstract IdentifierDtoV1 valueType();

    public static Builder builder() {
        return new AutoValue_TargetArrayTypeDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see TargetArrayTypeDtoV1#identifier()
         */
        Builder identifier(IdentifierDtoV1 value);

        /**
         * @see TargetArrayTypeDtoV1#dimensionTypes()
         */
        Builder dimensionTypes(List<ArrayDimensionDtoV1> value);

        /**
         * @see TargetArrayTypeDtoV1#valueType()
         */
        Builder valueType(IdentifierDtoV1 value);

        TargetArrayTypeDtoV1 build();
    }
}
