package com.etas.ascet.api.v1.datatype;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

// Checkstyle:off
/**
 * A further specification of {@link TargetTypeDtoV1}
 */
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class TargetAxisTypeDtoV1 {

    public abstract IdentifierDtoV1 identifier();

    public abstract IdentifierDtoV1 dimensionType();

    public static Builder builder() {
        return new AutoValue_TargetAxisTypeDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see TargetAxisTypeDtoV1#identifier()
         */
        Builder identifier(IdentifierDtoV1 value);

        /**
         * @see TargetAxisTypeDtoV1#dimensionType()
         */
        Builder dimensionType(IdentifierDtoV1 value);

        TargetAxisTypeDtoV1 build();
    }
}
