package com.etas.ascet.api.v1.datatype;

import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;
import org.eclipse.jdt.annotation.Nullable;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

//CHECKSTYLE IGNORE JavadocType FOR NEXT 4 LINES
// Checkstyle:off
/**
 * A further specification of {@link TargetTypeDtoV1}
 */
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class TargetDataInterfaceTypeDtoV1 {

    public abstract IdentifierDtoV1 identifier();

    /**
     * The messages declared within this data-interface.<br/>
     * Currently, this feature is not supported. An empty List is always returned.
     */
    public abstract List<DeclarationDtoV1> declarations();

    @Nullable
    public abstract CompositeRepresentationDtoV1 representation();

    public static Builder builder() {
        return new AutoValue_TargetDataInterfaceTypeDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see TargetDataInterfaceTypeDtoV1#identifier()
         */
        Builder identifier(IdentifierDtoV1 value);

        /**
         * @see TargetDataInterfaceTypeDtoV1#declarations()
         */
        Builder declarations(List<DeclarationDtoV1> value);

        /**
         * @see TargetDataInterfaceTypeDtoV1#representation()
         */
        Builder representation(@Nullable CompositeRepresentationDtoV1 value);

        TargetDataInterfaceTypeDtoV1 build();
    }
}
