package com.etas.ascet.api.v1.datatype;

import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * A further specification of {@link TargetTypeDtoV1}
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class TargetEnumTypeDtoV1 {

    public abstract IdentifierDtoV1 identifier();

    public abstract List<AnnotationDtoV1> annotations();

    public abstract List<TargetEnumTypeEntryDtoV1> entries();

    /**
     * The min/max of all entries values
     */
    public abstract NumberRangeDtoV1 numberRange();

    /**
     * The smallest primitive type, that is sufficient for the whole range of entry values
     */
    public abstract PrimitiveTypeV1 primitiveType();

    public static Builder builder() {
        return new AutoValue_TargetEnumTypeDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see TargetEnumTypeDtoV1#identifier()
         */
        Builder identifier(IdentifierDtoV1 value);

        /**
         * @see TargetEnumTypeDtoV1#annotations()
         */
        Builder annotations(List<AnnotationDtoV1> value);

        /**
         * @see TargetEnumTypeDtoV1#entries()
         */
        Builder entries(List<TargetEnumTypeEntryDtoV1> value);

        /**
         * @see TargetEnumTypeDtoV1#numberRange()
         */
        Builder numberRange(NumberRangeDtoV1 value);

        /**
         * @see TargetEnumTypeDtoV1#primitiveType()
         */
        Builder primitiveType(PrimitiveTypeV1 value);

        TargetEnumTypeDtoV1 build();
    }
}
