package com.etas.ascet.api.v1.datatype;

import java.math.BigInteger;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * A further specification of {@link TargetEnumTypeDtoV1#entries}
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class TargetEnumTypeEntryDtoV1 {

    /**
     * The name as it is in ESDL, e.g. "A"
     */
    public abstract String name();

    /**
     * Numerical value of the enum literal.
     */
    public abstract BigInteger value();

    public static Builder builder() {
        return new AutoValue_TargetEnumTypeEntryDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see {@link TargetEnumTypeEntryDtoV1#name()}
         */
        Builder name(String value);

        /**
         * @see {@link TargetEnumTypeEntryDtoV1#value()}
         */
        Builder value(BigInteger value);

        TargetEnumTypeEntryDtoV1 build();
    }
}
