/* AllTests.java
 *
 * jRegistryKey - A JNI wrapper of the Windows Registry functions.
 * Copyright (c) 2001, BEQ Technologies Inc.
 * 9407 - 27 Avenue
 * Edmonton, Alberta
 * T6N - 1L9 Canada
 * (780) 430-0056
 * (780) 437-6121 (fax)
 * http://www.beq.ca
 *
 * Original Author: Joe Robinson <joe@beq.ca>
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation; either version 2.1 of the License, or (at your
 * option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package ca.beq.util.win32.registry;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * AllTests is the master JUnit test suite for the jRegistryKey project.
 *
 * @author BEQ Technologies Inc.
 * @version $Revision: 1.3 $
 * 
 * $Id: AllTests.java,v 1.3 2004/03/29 19:46:22 mollinie Exp $
 * 
 * $Log: AllTests.java,v $
 * Revision 1.3  2004/03/29 19:46:22  mollinie
 * Added additional test suites.
 *
 * Revision 1.2  2004/03/27 01:01:02  mollinie
 * Preliminary reformating.
 *
 * Revision 1.1.1.1  2004/03/25 22:05:38  bayblade
 * Initial Import
 *
 */

public class AllTests extends TestCase
{
   /**
    * Executable entry point.
    */
   public static void main(String[] args)
   {
      junit.textui.TestRunner.run(suite());
   } 

   /**
    * Constructor.
    */
   public AllTests(String name)
   {
      super(name);
   } 

   /**
    * Returns list of available test suites.
    */
   public static Test suite()
   {
      TestSuite suite = new TestSuite("jRegistryKey Unit Test Suite");

      // sub-package test suites
      suite.addTest(RegistryKeyTest.suite());
      suite.addTestSuite(RegistryKeyAdditionalTest.class);
      
      // package test cases
      return suite;
   }
} 
