package ca.beq.util.win32.registry;

import junit.framework.TestCase;

public class RegistryKeyInitializationTest4 extends TestCase {


    public void testInit() {

        String libraryName = "jRegistryKey-dev";
        System.setProperty( RegistryKey.PROPERTY_PATH, libraryName );

        try {
            RegistryKey.initialize();
        } catch ( UnsatisfiedLinkError e ) {
            fail( "Initialization must succeed. Check that library named \""
                  + libraryName + "\" is accessible in the system." );
        }
        if ( !RegistryKey.isInitialized() ) {
            fail( "JRegistryKey must report that the library is now initialized." );
        }

        // and again... proving that re-initialization after a succesful initialization has no side effect.
        try {
            RegistryKey.initialize();
        } catch ( UnsatisfiedLinkError e ) {
            fail( "Initialization must succeed.  Library has already been initialized." );
        }

        if ( !RegistryKey.isInitialized() ) {
            fail( "JRegistryKey must report that the library is still initialized." );
        }
    }
}