/* Win32Exception.cpp
 *
 * jRegistryKey - A JNI wrapper of the Windows Registry functions.
 * Copyright (c) 2006, Matt Hilliard
 *
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation; either version 2.1 of the License, or (at your
 * option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Matt Hilliard
 * @version $Revision: 1.2 $
 * 
 * $Id: Win32Exception.cpp,v 1.2 2007/03/04 02:31:47 bayblade Exp $
 * 
 * $Log: Win32Exception.cpp,v $
 * Revision 1.2  2007/03/04 02:31:47  bayblade
 * New K&R indentation.
 *
 * Revision 1.1  2006/06/11 16:46:53  bayblade
 * Introducing Win32Exception ...
 * Subclassed RegistryException with new Win32Exception that contains the windows error message, and a method to see the error code as an int rather than a formatted string containing the error code.  The exception message is different, which may break logic that parses this message, but explicitly catching the subclass now allows for greater refinement when processing what actually broke, and is a better solution overall.
 *
 */



#include <windows.h>
#include <WinError.h>

#include "jniClassDescriptor.h"
#include "jniFieldDescriptor.h"
#include "jRegistryKey.h"
#include "ca_beq_util_win32_registry_Win32Exception.h"

JNIEXPORT jstring JNICALL Java_ca_beq_util_win32_registry_Win32Exception_lookupError
(JNIEnv *env, jclass klass, jint code) {
    wchar_t  str[64000];

    int length = FormatMessageW(
                     FORMAT_MESSAGE_FROM_SYSTEM,
                     NULL, code, MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
                     (WCHAR*) str, 64000, NULL );
    return env->NewString ( (jchar *) str, length );
}
